> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 生成图片

> 文字生成图片

这是 **Grok 图片 API** 的核心生成接口。


## OpenAPI

````yaml openapi/cn/grokimage.json POST /grok/image
openapi: 3.1.0
info:
  title: Grok Edit Image DOCS
  version: 1.0.0
  description: Grok Edit Image API 提供高效的图片分析和生成能力，帮助开发者快速集成智能图片功能。
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /grok/image:
    post:
      description: 文字生成图片
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GenerateRequest'
      responses:
        '200':
          $ref: '#/components/responses/SuccessResponse'
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  schemas:
    GenerateRequest:
      type: object
      properties:
        prompt:
          type: string
          description: 提示词
        model:
          type: string
          default: grok-imagine-1.0
          enum:
            - grok-imagine-1.0
            - grok-imagine-image
            - grok-imagine-image-quality
          description: 图片生成模型。
        enable_pro:
          type: boolean
          default: true
          description: 默认true是quality 模式  false为speed模式
        aspect_ratio:
          type: string
          default: '1:1'
          enum:
            - '1:1'
            - '16:9'
            - '9:16'
            - '3:2'
            - '2:3'
            - '4:3'
            - '3:4'
            - '2:1'
            - '1:2'
            - 19.5:9
            - '9:19.5'
            - '20:9'
            - '9:20'
            - auto
          description: >-
            图片宽高比。

            `grok-imagine-1.0`
            支持：`1:1`（社交媒体、头像、缩略图）、`16:9`（横屏图片、封面、桌面背景）、`9:16`（手机竖屏、短视频封面、Stories）、`3:2`（横向摄影）、`2:3`（纵向摄影、海报）。

            `grok-imagine-image` 和 `grok-imagine-image-quality`
            额外支持：`4:3`（演示文稿、传统横屏画面）、`3:4`（肖像、竖版设计）、`2:1`（横向 Banner、页头）、`1:2`（纵向
            Banner、长图）、`19.5:9`（横向智能手机屏幕）、`9:19.5`（竖向智能手机壁纸）、`20:9`（横向超宽屏幕）、`9:20`（竖向超宽屏幕）、`auto`（由模型根据提示词自动选择比例）。
        resolution:
          type: string
          default: 1k
          enum:
            - 1k
            - 2k
          description: >-
            输出分辨率。`1k` 为标准分辨率（所有模型支持）；`2k` 为更高分辨率（仅 `grok-imagine-image` 和
            `grok-imagine-image-quality` 支持）。
        'n':
          type: integer
          default: 1
          description: 生成图片数量  1 - 4
        hook_url:
          type: string
          description: >-
            回调地址，任务完成或失败将通过请地址进行通知，通知数据结构与<a href="fetch"
            target="_self">fetch结构</a>一致。如果未设置，则需要请求<a href="fetch"
            target="_self">fetch接口</a>进行查询
          example: https://example.com/callback
      required:
        - prompt
  responses:
    SuccessResponse:
      description: 请求成功
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: SUCCESS
              message:
                type: string
                example: success
              data:
                type: object
                example:
                  jobId: jobId
            required:
              - status
              - message
              - data
    400Response:
      description: 参数错误
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: 授权失败
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        请前往 <a href='https://dashboard.ttapi.io' target='_blank'>TTAPI 控制台</a>
        获取 API 密钥。

````